Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.collaboration.document
Class DocumentFolderQueryOrder

    java.lang.Object
      com.plumtree.remote.prc.collaboration.query.QueryOrder
          com.plumtree.remote.prc.collaboration.document.DocumentFolderQueryOrder

public class DocumentFolderQueryOrder
extends QueryOrder

`DocumentFolderQueryOrder` represents a pair that consists of an `DocumentFolderAttribute` and a `boolean` indicating whether to order ascending. This class is used in `IFilter`.

Constructor Summary
`DocumentFolderQueryOrder(DocumentFolderAttribute attribute, boolean ascending)` Constructor for `DocumentFolderQueryOrder`.

Method Summary
`DocumentFolderAttribute` | `getAttribute()` Returns the query orderBy attribute.
`boolean` | `isAscending()` Returns a boolean indicating whether or not the field is ascending.
`void` | `setAscending(boolean isAscending)` Sets the order for this field(ascending or descending).
`void` | `setAttribute(DocumentFolderAttribute attribute)` Sets the query orderBy attribute.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentFolderQueryOrder

    public DocumentFolderQueryOrder(DocumentFolderAttribute attribute,
                                    boolean ascending)

  Constructor for `DocumentFolderQueryOrder`.

Parameters:
  `attribute` - the query orderBy Field
  `ascending` - boolean indicating whether the order is ascending

Method Detail

### setAttribute

    public void setAttribute(DocumentFolderAttribute attribute)

  Sets the query orderBy attribute.

  Parameters:
    `attribute` - the query orderBy attribute

### getAttribute

    public DocumentFolderAttribute getAttribute()

  Returns the query orderBy attribute.

  Returns:
    the query orderBy attribute

### setAscending

    public void setAscending(boolean isAscending)

  Sets the order for this field(ascending or descending).

  Overrides:
    `setAscending` in class `QueryOrder`

### isAscending

    public boolean isAscending()

  Returns a boolean indicating whether or not the field is ascending.

  Overrides:
    `isAscending` in class `QueryOrder`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.